Bug 63471 - Report generation: StringConverters used for report generation should ignore white space around numbers
Summary: Report generation: StringConverters used for report generation should ignore ...
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 5.1.1
Hardware: All Linux
: P2 enhancement (vote)
Target Milestone: JMETER_5.2
Assignee: JMeter issues mailing list
URL:
Keywords: FixedInTrunk
Depends on:
Blocks:
 
Reported: 2019-05-28 14:42 UTC by Auro
Modified: 2019-06-02 10:55 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Auro 2019-05-28 14:42:03 UTC
having this lines on user.properties

jmeter.reportgenerator.apdex_satisfied_threshold=500
jmeter.reportgenerator.apdex_tolerated_threshold=1500

and running jmeter with

jmeter.sh -n -t /workspace/JMSCRIPT.jmx -LERROR -j /workspace/run.log -l /workspace/run.jtl -e -o /workspace/report -Jjmeter.save.saveservice.output_format=csv -Jjmeter.save.saveservice.response_data=false  -Jjmeter.save.saveservice.samplerData=false -Jjmeter.save.saveservice.requestHeaders=false -Jjmeter.save.saveservice.url=false -Jjmeter.save.saveservice.responseHeaders=false
       

the report generation fails with this error:

2019-05-28 13:31:20,260 ERROR o.a.j.JMeter: Error in NonGUIDriver
org.apache.jmeter.report.config.ConfigurationException: Convert "500 " to "long" is not supported
	at org.apache.jmeter.report.config.ConfigurationUtils.convert(ConfigurationUtils.java:57) ~[ApacheJMeter_core.jar:5.1.1 r1855137]
	at org.apache.jmeter.report.config.ReportGeneratorConfiguration.getProperty(ReportGeneratorConfiguration.java:495) ~[ApacheJMeter_core.jar:5.1.1 r1855137]
	at org.apache.jmeter.report.config.ReportGeneratorConfiguration.getRequiredProperty(ReportGeneratorConfiguration.java:510) ~[ApacheJMeter_core.jar:5.1.1 r1855137]
	at org.apache.jmeter.report.config.ReportGeneratorConfiguration.loadFromProperties(ReportGeneratorConfiguration.java:628) ~[ApacheJMeter_core.jar:5.1.1 r1855137]
	at org.apache.jmeter.report.dashboard.ReportGenerator.<init>(ReportGenerator.java:155) ~[ApacheJMeter_core.jar:5.1.1 r1855137]
	at org.apache.jmeter.JMeter.runNonGui(JMeter.java:1059) [ApacheJMeter_core.jar:5.1.1 r1855137]
	at org.apache.jmeter.JMeter.startNonGui(JMeter.java:991) [ApacheJMeter_core.jar:5.1.1 r1855137]
	at org.apache.jmeter.JMeter.start(JMeter.java:563) [ApacheJMeter_core.jar:5.1.1 r1855137]
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) ~[?:1.8.0_121]
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62) ~[?:1.8.0_121]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) ~[?:1.8.0_121]
	at java.lang.reflect.Method.invoke(Method.java:498) ~[?:1.8.0_121]
	at org.apache.jmeter.NewDriver.main(NewDriver.java:253) [ApacheJMeter.jar:5.1.1 r1855137]
Comment 1 UbikLoadPack support 2019-05-28 14:49:02 UTC
The workaround is to remove the spaces at end of your values as per error message.

The enhancement will be to trim before conversion
Comment 2 Felix Schumacher 2019-05-28 19:24:24 UTC
Thanks for the report. This should be fixed in nightly (next nightly) and will be released with the next JMeter version.

Could you try it and report, if it works for you?

Date: Tue May 28 19:17:22 2019
New Revision: 1860297

URL: http://svn.apache.org/viewvc?rev=1860297&view=rev
Log:
StringConverters used for report generation should ignore white space around numbers.

Bugzilla Id: 63471

Added:
    jmeter/trunk/test/src/org/apache/jmeter/report/core/ConvertersSpec.groovy   (with props)
Modified:
    jmeter/trunk/src/core/org/apache/jmeter/report/core/Converters.java
    jmeter/trunk/xdocs/changes.xml
Comment 3 Auro 2019-05-31 13:34:48 UTC
It is working thx